let diak = {
    nev: "Szabó Márton",
    eletkor: 18,
    szak: "programozás",
    tantargyak: ["Matek", "PHP", "C#"]
};

let diak2 = {
    nev: "Patai Olivér",
    eletkor: 19,
    szak: "programozás",
    tantargyak: ["Matek", "PHP", "C#"]
}

let bemutatkozik = (diak) => {
    let {nev, eletkor, szak} = diak;
    return `Helló a nevem: ${nev}, ${eletkor} éves vagyok, és ${szak} szakon tanulok.`;
};
console.log(bemutatkozik(diak));

let diakok = [diak, diak2];

let kiirDiakAdatok = (diak) => {
    let {nev, eletkor: kor, tantargyak} = diak;
    return `Név: ${nev}\nKor: ${kor}\nTantárgyak: ${tantargyak.join(', ')}\n`;
};
diakok.forEach(element => {
    console.log(kiirDiakAdatok(element));
});


//rest operátor
let tomb = [1,2,3,4,5];
let [a,b, ...maradek] = tomb;
console.log(maradek.join(', '));

let {tantargyak, szak, ...patai} = diak2;
console.log(patai);

//spread operátor
let tomb1 = [1,2,3];
let tomb2 = [...tomb1, 4, 5];
console.log(tomb2);


let szabomarton = {...diak, nem: "férfi"};
console.log(szabomarton);

